Name:           lcdtest
URL:            http://www.brouhaha.com/~eric/software/lcdtest/
Version:        1.18
Release:        3%{?dist}
Group:          Applications/System
License:        GPLv3
Summary:        Displays monitor test patterns
Source:         http://www.brouhaha.com/~eric/software/%{name}/download/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:       /usr/share/fonts/liberation/LiberationMono-Regular.ttf

BuildRequires:  scons >= 1.2.0
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  netpbm-progs
BuildRequires:  desktop-file-utils

%description
lcdtest is a utility to display LCD monitor test patterns.  It may be
useful for adjusting the pixel clock frequency and phase on LCD
monitors when using analog inputs, and for finding pixels that are
stuck on or off.

%prep
%setup -q

%build
scons %{_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
scons %{_smp_mflags} CFLAGS="%{optflags}" \
        --buildroot %{buildroot} \
        --bindir %{_bindir} \
        --mandir %{_mandir} \
        --datadir %{_datadir} \
        install
mkdir -p %{buildroot}/usr/share/pixmaps
mv %{buildroot}/usr/share/icons/hicolor/scalable/apps/lcdtest.svg \
   %{buildroot}/usr/share/pixmaps
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1.*
%doc COPYING README
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg

%changelog
* Wed Jan 27 2010 Eric Smith <eric@brouhaha.com> 1.18-3
- change the .gz to .* in case the man page compression changesn

* Wed Jan 27 2010 Eric Smith <eric@brouhaha.com> 1.18-2
- move icon to /usr/share/pixmaps, and other minor spec cleanup based on
  package review by Jussi Lehtola

* Tue Jan 26 2010 Eric Smith <eric@brouhaha.com> 1.18-1
- initial version
